Collections

POST Debit Instruction

POST /Collections/debitInstructions

Submits a debit instruction.

Request body

Media type: application/json. Schema: DebitInstructionsRequest.

Responses

  • 202 Debit instruction accepted.

    Media type: application/json. Schema: DebitInstructionsResponse.

  • 400 The server couldn’t process the request due to a client error.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 401 The server couldn't find any valid credentials to access the requested resource.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 403 The server denied access to the requested resource.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 404 The server couldn’t find the requested resource.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 405 The request method isn't supported for the requested resource.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 406 The target resource didn't have a current representation that was acceptable to the user agent.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "406"
    errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 415 The Accept header specified an unsupported media type.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "415"
    errorMessage: The server denied the request because it is not in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 429 The server exceeded the API request rate limit.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "429"
    errorMessage: The server denied the request due to exceeded rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
  • 500 An internal error occurred while processing the API request.

    Media type: application/json. Schema: ErrorResponse.

    Example

    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z